## org.codehaus.groovy.grails.compiler
Class GrailsClassLoader

    java.lang.Object
      java.lang.ClassLoader
          java.security.SecureClassLoader
              java.net.URLClassLoader
                  groovy.lang.GroovyClassLoader
                      org.codehaus.groovy.grails.compiler.GrailsClassLoader

    public class GrailsClassLoader

extends groovy.lang.GroovyClassLoader

A GroovyClassLoader that supports reloading using inner class loaders

Since:
  0.6

  Created: Jul 27, 2007 Time: 11:53:02 AM
Author:
  Graeme Rocher

Nested Class Summary

Nested classes/interfaces inherited from class groovy.lang.GroovyClassLoader
`groovy.lang.GroovyClassLoader.ClassCollector, groovy.lang.GroovyClassLoader.InnerLoader`

Field Summary

Fields inherited from class groovy.lang.GroovyClassLoader
`classCache, sourceCache`

Constructor Summary
`GrailsClassLoader(ClassLoader parent, org.codehaus.groovy.control.CompilerConfiguration config, GrailsResourceLoader resourceLoader)`

Method Summary
`protected Class` `loadClass(String name, boolean resolve)`
`Class` `reloadClass(String name)`
`void` `setGrailsResourceLoader(GrailsResourceLoader resourceLoader)`

Methods inherited from class groovy.lang.GroovyClassLoader

`addClasspath, addURL, clearCache, createCollector, createCompilationUnit, defineClass, defineClass, defineClass, defineClass, expandClassPath, generateScriptName, getClassCacheEntry, getClassPath, getLoadedClasses, getResourceLoader, getTimeStamp, isRecompilable, isShouldRecompile, isSourceNewer, loadClass, loadClass, parseClass, parseClass, parseClass, parseClass, parseClass, parseClass, parseClass, recompile, removeClassCacheEntry, setClassCacheEntry, setResourceLoader, setShouldRecompile`

Methods inherited from class java.net.URLClassLoader
`definePackage, findClass, findResource, findResources, getPermissions, getURLs, newInstance, newInstance`

Methods inherited from class java.security.SecureClassLoader
`defineClass, defineClass`

Methods inherited from class java.lang.ClassLoader

`clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findLibrary, findLoadedClass, findSystemClass, getPackage, getPackages, getParent, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, resolveClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GrailsClassLoader

    public GrailsClassLoader(ClassLoader parent,
                             org.codehaus.groovy.control.CompilerConfiguration config,
                             GrailsResourceLoader resourceLoader)

Method Detail

### reloadClass

    public Class reloadClass(String name)

### loadClass

    protected Class loadClass(String name,
                              boolean resolve)
                       throws ClassNotFoundException

  Overrides:
    `loadClass` in class `groovy.lang.GroovyClassLoader`
  Throws:
    `ClassNotFoundException`

### setGrailsResourceLoader

    public void setGrailsResourceLoader(GrailsResourceLoader resourceLoader)

Copyright (c) 2005-2009 The Grails project